import { Feature } from './Feature';
declare class RoomUpsellFeature extends Feature {
    constructor();
    protected onLoad(): void;
}
/**
 * Deprecating this feature because we should use the new option in Hotel configuration.
 * Keeping it for now so that Hotel's already loading the feature via client files will
 * still use it.
 *
 * I think we update all the hotels first, and then remove all references to this feature as a
 * follow up. Alternatively we take note of all the Hotels using this feature then quickly
 * update them after merging these changes.
 */
/** @deprecated Use enableRoomUpsells on Hotel object instead. */
declare const _default: RoomUpsellFeature;
export default _default;
